# Class PageGroupMember

PageGroupMember class

#### Implements

- AbstractPageGroupMember

- Defined in packages/saltcorn-data/models/page_group_member.ts:14

##### Index

### Constructors

constructor

### Properties

description?
eligible_formula
id?
page_group_id
page_id
sequence

### Methods

connected_objects
delete
create
delete
find
findOne
findPred
update

## Constructors

### constructor

- new PageGroupMember(cfg: PageGroupMemberCfg): PageGroupMember

  #### Parameters

  - cfg: PageGroupMemberCfg

  #### Returns PageGroupMember

  - Defined in packages/saltcorn-data/models/page_group_member.ts:21

## Properties

### `Optional` description

description?: string

Implementation of AbstractPageGroupMember.description

- Defined in packages/saltcorn-data/models/page_group_member.ts:16

### eligible_formula

eligible_formula: string

Implementation of AbstractPageGroupMember.eligible_formula

- Defined in packages/saltcorn-data/models/page_group_member.ts:20

### `Optional` id

id?: number

Implementation of AbstractPageGroupMember.id

- Defined in packages/saltcorn-data/models/page_group_member.ts:15

### page_group_id

page_group_id: number

Implementation of AbstractPageGroupMember.page_group_id

- Defined in packages/saltcorn-data/models/page_group_member.ts:17

### page_id

page_id: number

Implementation of AbstractPageGroupMember.page_id

- Defined in packages/saltcorn-data/models/page_group_member.ts:18

### sequence

sequence: number

Implementation of AbstractPageGroupMember.sequence

- Defined in packages/saltcorn-data/models/page_group_member.ts:19

## Methods

### connected_objects

- connected_objects(): ConnectedObjects

  #### Returns ConnectedObjects

  - Defined in packages/saltcorn-data/models/page_group_member.ts:141

### delete

- delete(): Promise<void>

  delete this page group member

  #### Returns Promise<void>

  - Defined in packages/saltcorn-data/models/page_group_member.ts:125

### `Static` create

- create(f: PageGroupMemberCfg): Promise<PageGroupMember>

  create a page group member

  #### Parameters

  - f: PageGroupMemberCfg

  #### Returns Promise<PageGroupMember>

  the created member

  - Defined in packages/saltcorn-data/models/page_group_member.ts:98

### `Static` delete

- delete(id: number): Promise<void>

  delete one page group member

  #### Parameters

  - id: number

    id of the member

  #### Returns Promise<void>

  - Defined in packages/saltcorn-data/models/page_group_member.ts:135

### `Static` find

- find(where?: Where, selectopts?: SelectOptions): Promise<PageGroupMember[]>

  find members

  #### Parameters

  - `Optional` where: Where
  - selectopts: SelectOptions = {}

  #### Returns Promise<PageGroupMember[]>

  an array of page group members

  - Defined in packages/saltcorn-data/models/page_group_member.ts:37

### `Static` findOne

- findOne(where: number | FindOneObj): PageGroupMember | null

  #### Parameters

  - where: number | FindOneObj

  #### Returns PageGroupMember | null

  - Defined in packages/saltcorn-data/models/page_group_member.ts:61

### `Static` findPred

- findPred(
  where: number | FindOneObj,
  ): ((m: AbstractPageGroupMember) => boolean) | null

  for internal use

  #### Parameters

  - where: number | FindOneObj

  #### Returns ((m: AbstractPageGroupMember) => boolean) | null

  - Defined in packages/saltcorn-data/models/page_group_member.ts:76

### `Static` update

- update(id: number, row: Row): Promise<void>

  update a page group member

  #### Parameters

  - id: number

    id of the member

  - row: Row

    values to update

  #### Returns Promise<void>

  - Defined in packages/saltcorn-data/models/page_group_member.ts:115